{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.Collections.CollectionBase where

import NET
import qualified NET.System.Collections.IEnumerator
import qualified NET.System.Object

data CollectionBase_ a
type CollectionBase a = NET.System.Object.Object (CollectionBase_ a)

get_Capacity :: CollectionBase obj -> IO (Int)
get_Capacity = invoke "get_Capacity" () 

set_Capacity :: Int -> CollectionBase obj -> IO (())
set_Capacity arg0 = invoke "set_Capacity" (arg0)

get_Count :: CollectionBase obj -> IO (Int)
get_Count = invoke "get_Count" () 

clear :: CollectionBase obj -> IO (())
clear = invoke "Clear" () 

removeAt :: Int -> CollectionBase obj -> IO (())
removeAt arg0 = invoke "RemoveAt" (arg0)

getEnumerator :: (NET.Result a0, NET.System.Collections.IEnumerator.IEnumerator a0) => CollectionBase obj -> IO a0
getEnumerator = invoke "GetEnumerator" () 


