{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.Collections.Generic.IDictionary ( module NET.System.Collections.Generic.IDictionary ) where

import qualified NET
import NET.System.Collections.Generic.IDictionary.Type as NET.System.Collections.Generic.IDictionary
import qualified NET.System.Collections.Generic.ICollection.Type as NET.System.Collections.Generic.ICollection
import qualified NET.System.Object

get_Item :: (NET.Type gTKey, NET.Type gTValue, NET.Arg gTKey, NET.Result gTValue, IDictionary obj) => gTKey -> NET.Object (objTy obj  gTKey gTValue) -> IO (gTValue)
get_Item arg0 obj = NET.invokeGeneric "get_Item" ( NET.tyNameCons ( {-D-}NET.t32 $ NET.t11 obj) $  NET.tyNameCons ( {-D-}NET.t33 $ NET.t11 obj) $  [])  (arg0) obj

set_Item :: (NET.Type gTKey, NET.Type gTValue, NET.Arg gTKey, NET.Arg gTValue, IDictionary obj) => gTKey -> gTValue -> NET.Object (objTy obj  gTKey gTValue) -> IO (())
set_Item arg0 arg1 obj = NET.invokeGeneric "set_Item" ( NET.tyNameCons ( {-D-}NET.t32 $ NET.t11 obj) $  NET.tyNameCons ( {-D-}NET.t33 $ NET.t11 obj) $  [])  (arg0, arg1) obj

get_Keys :: (NET.Type gTKey, NET.Type gTValue, NET.System.Collections.Generic.ICollection.ICollection (objTy_0 t0  gTKey), IDictionary obj) => NET.Object (objTy obj  gTKey gTValue) -> IO (NET.Object (objTy_0 t0  gTKey))
get_Keys obj = NET.invokeGeneric "get_Keys" ( NET.tyNameCons ( {-D-}NET.t32 $ NET.t11 obj) $  NET.tyNameCons ( {-D-}NET.t33 $ NET.t11 obj) $  NET.tyMethSplit $  [])  ()  obj

get_Values :: (NET.Type gTKey, NET.Type gTValue, NET.System.Collections.Generic.ICollection.ICollection (objTy_0 t0  gTValue), IDictionary obj) => NET.Object (objTy obj  gTKey gTValue) -> IO (NET.Object (objTy_0 t0  gTValue))
get_Values obj = NET.invokeGeneric "get_Values" ( NET.tyNameCons ( {-D-}NET.t32 $ NET.t11 obj) $  NET.tyNameCons ( {-D-}NET.t33 $ NET.t11 obj) $  NET.tyMethSplit $  [])  ()  obj

containsKey :: (NET.Type gTKey, NET.Type gTValue, NET.Arg gTKey, IDictionary obj) => gTKey -> NET.Object (objTy obj  gTKey gTValue) -> IO (Bool)
containsKey arg0 obj = NET.invokeGeneric "ContainsKey" ( NET.tyNameCons ( {-D-}NET.t32 $ NET.t11 obj) $  NET.tyNameCons ( {-D-}NET.t33 $ NET.t11 obj) $  [])  (arg0) obj

add :: (NET.Type gTKey, NET.Type gTValue, NET.Arg gTKey, NET.Arg gTValue, IDictionary obj) => gTKey -> gTValue -> NET.Object (objTy obj  gTKey gTValue) -> IO (())
add arg0 arg1 obj = NET.invokeGeneric "Add" ( NET.tyNameCons ( {-D-}NET.t32 $ NET.t11 obj) $  NET.tyNameCons ( {-D-}NET.t33 $ NET.t11 obj) $  [])  (arg0, arg1) obj

remove :: (NET.Type gTKey, NET.Type gTValue, NET.Arg gTKey, IDictionary obj) => gTKey -> NET.Object (objTy obj  gTKey gTValue) -> IO (Bool)
remove arg0 obj = NET.invokeGeneric "Remove" ( NET.tyNameCons ( {-D-}NET.t32 $ NET.t11 obj) $  NET.tyNameCons ( {-D-}NET.t33 $ NET.t11 obj) $  [])  (arg0) obj

tryGetValue :: (NET.Type gTKey, NET.Type gTValue, NET.Arg gTKey, NET.Arg gTValue, IDictionary obj) => gTKey -> gTValue -> NET.Object (objTy obj  gTKey gTValue) -> IO (Bool)
tryGetValue arg0 arg1 obj = NET.invokeGeneric "TryGetValue" ( NET.tyNameCons ( {-D-}NET.t32 $ NET.t11 obj) $  NET.tyNameCons ( {-D-}NET.t33 $ NET.t11 obj) $  [])  (arg0, arg1) obj


