{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.Collections.IDictionary ( module NET.System.Collections.IDictionary ) where

import qualified NET
import NET.System.Collections.IDictionary.Type as NET.System.Collections.IDictionary
import qualified NET.System.Collections.ICollection.Type as NET.System.Collections.ICollection
import qualified NET.System.Object

get_Item :: (IDictionary obj) => NET.Object (objTy0 a0) -> NET.Object (objTy obj ) -> IO (NET.Object (objTy1 a1))
get_Item arg0 obj = NET.invoke "get_Item"  (arg0) obj

set_Item :: (IDictionary obj) => NET.Object (objTy0 a0) -> NET.Object (objTy1 a1) -> NET.Object (objTy obj ) -> IO (())
set_Item arg0 arg1 obj = NET.invoke "set_Item"  (arg0, arg1) obj

get_Keys :: (NET.System.Collections.ICollection.ICollection a0, IDictionary obj) => NET.Object (objTy obj ) -> IO (NET.Object (objTy0 a0))
get_Keys obj = NET.invoke "get_Keys"  ()  obj

get_Values :: (NET.System.Collections.ICollection.ICollection a0, IDictionary obj) => NET.Object (objTy obj ) -> IO (NET.Object (objTy0 a0))
get_Values obj = NET.invoke "get_Values"  ()  obj

contains :: (IDictionary obj) => NET.Object (objTy0 a0) -> NET.Object (objTy obj ) -> IO (Bool)
contains arg0 obj = NET.invoke "Contains"  (arg0) obj

add :: (IDictionary obj) => NET.Object (objTy0 a0) -> NET.Object (objTy1 a1) -> NET.Object (objTy obj ) -> IO (())
add arg0 arg1 obj = NET.invoke "Add"  (arg0, arg1) obj

clear :: (IDictionary obj) => NET.Object (objTy obj ) -> IO (())
clear obj = NET.invoke "Clear"  ()  obj

get_IsReadOnly :: (IDictionary obj) => NET.Object (objTy obj ) -> IO (Bool)
get_IsReadOnly obj = NET.invoke "get_IsReadOnly"  ()  obj

get_IsFixedSize :: (IDictionary obj) => NET.Object (objTy obj ) -> IO (Bool)
get_IsFixedSize obj = NET.invoke "get_IsFixedSize"  ()  obj

-- getEnumerator :: (NET.System.Collections.IDictionaryEnumerator.IDictionaryEnumerator a0, IDictionary obj) => NET.Object (objTy obj ) -> IO (NET.Object (objTy0 a0))
-- getEnumerator obj = NET.invoke "GetEnumerator"  ()  obj

remove :: (IDictionary obj) => NET.Object (objTy0 a0) -> NET.Object (objTy obj ) -> IO (())
remove arg0 obj = NET.invoke "Remove"  (arg0) obj


