{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.Comparison ( module NET.System.Comparison ) where

import qualified NET
import NET.System.Comparison.Type as NET.System.Comparison
import qualified Data.Int
import qualified NET.System.AsyncCallback.Type as NET.System.AsyncCallback
import qualified NET.System.IAsyncResult.Type as NET.System.IAsyncResult
import qualified NET.System.MulticastDelegate.Type as NET.System.MulticastDelegate

invoke :: (NET.Type gT, NET.Arg gT) => gT -> gT -> Comparison obj  gT -> IO (Data.Int.Int32)
invoke arg0 arg1 obj = NET.invokeGeneric "Invoke" ( NET.tyNameCons ( NET.t22 $ NET.t11 obj) $  [])  (arg0, arg1) obj

beginInvoke :: (NET.Type gT, NET.Arg gT, NET.System.IAsyncResult.IAsyncResult a4) => gT -> gT -> NET.System.AsyncCallback.AsyncCallback a2 -> NET.Object (objTy3 a3) -> Comparison obj  gT -> IO (NET.Object (objTy4 a4))
beginInvoke arg0 arg1 arg2 arg3 obj = NET.invokeGeneric "BeginInvoke" ( NET.tyNameCons ( NET.t22 $ NET.t11 obj) $  [])  (arg0, arg1, arg2, arg3) obj

endInvoke :: (NET.Type gT, NET.System.IAsyncResult.IAsyncResult a0) => NET.Object (objTy0 a0) -> Comparison obj  gT -> IO (Data.Int.Int32)
endInvoke arg0 obj = NET.invokeGeneric "EndInvoke" ( NET.tyNameCons ( NET.t22 $ NET.t11 obj) $  [])  (arg0) obj


