{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.Globalization.CalendarAlgorithmType where

import NET
import qualified System.IO.Unsafe
import qualified NET.System.Type
import qualified NET.System.Enum

type CalendarAlgorithmType a = Int

data CalendarAlgorithmTypeTy
 = Unknown
 | SolarCalendar
 | LunarCalendar
 | LunisolarCalendar
  deriving ( Enum, Show, Read )
toCalendarAlgorithmType :: CalendarAlgorithmTypeTy -> CalendarAlgorithmType ()
toCalendarAlgorithmType tag = fromEnum tag

fromCalendarAlgorithmType :: CalendarAlgorithmType () -> CalendarAlgorithmTypeTy
fromCalendarAlgorithmType obj = toEnum obj

