{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.Globalization.DateTimeStyles where

import NET
import qualified System.IO.Unsafe
import qualified NET.System.Type
import qualified NET.System.Enum

type DateTimeStyles a = Int

data DateTimeStylesTy
 = None
 | AllowLeadingWhite
 | AllowTrailingWhite
 | AllowInnerWhite
 | AllowWhiteSpaces
 | NoCurrentDateDefault
 | AdjustToUniversal
 | AssumeLocal
 | AssumeUniversal
 | RoundtripKind
  deriving ( Enum, Show, Read )
toDateTimeStyles :: DateTimeStylesTy -> DateTimeStyles ()
toDateTimeStyles tag = fromEnum tag

fromDateTimeStyles :: DateTimeStyles () -> DateTimeStylesTy
fromDateTimeStyles obj = toEnum obj

