{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.IAsyncResult ( module NET.System.IAsyncResult ) where

import qualified NET
import NET.System.IAsyncResult.Type as NET.System.IAsyncResult
import qualified NET.System.Object

get_IsCompleted :: (IAsyncResult obj) => NET.Object obj -> IO (Bool)
get_IsCompleted = NET.invoke "get_IsCompleted" () 

-- get_AsyncWaitHandle :: (IAsyncResult obj) => NET.Object obj -> IO (NET.System.Threading.WaitHandle.WaitHandle a0)
-- get_AsyncWaitHandle = NET.invoke "get_AsyncWaitHandle" () 

get_AsyncState :: (IAsyncResult obj) => NET.Object obj -> IO (NET.System.Object.Object a0)
get_AsyncState = NET.invoke "get_AsyncState" () 

get_CompletedSynchronously :: (IAsyncResult obj) => NET.Object obj -> IO (Bool)
get_CompletedSynchronously = NET.invoke "get_CompletedSynchronously" () 


