{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.MulticastDelegate ( module NET.System.MulticastDelegate ) where

import qualified NET
import NET.System.MulticastDelegate.Type as NET.System.MulticastDelegate
import qualified NET.System.Runtime.Serialization.SerializationInfo.Type as NET.System.Runtime.Serialization.SerializationInfo
import qualified NET.System.Runtime.Serialization.StreamingContext.Type as NET.System.Runtime.Serialization.StreamingContext
import qualified NET.System.Object
import qualified NET.System.Array
import qualified NET.System.Delegate.Type as NET.System.Delegate
import qualified Data.Int

getObjectData :: NET.System.Runtime.Serialization.SerializationInfo.SerializationInfo a0 -> NET.System.Runtime.Serialization.StreamingContext.StreamingContext a1 -> MulticastDelegate obj -> IO (())
getObjectData arg0 arg1 obj = NET.invoke "GetObjectData"  (arg0, arg1) obj

equals :: NET.System.Object.Object a0 -> MulticastDelegate obj -> IO (Bool)
equals arg0 obj = NET.invoke "Equals"  (arg0) obj

getInvocationList :: MulticastDelegate obj -> IO (NET.System.Array.Array (NET.System.Delegate.Delegate a0))
getInvocationList obj = NET.invoke "GetInvocationList"  ()  obj

op_Equality :: NET.System.MulticastDelegate.MulticastDelegate a0 -> NET.System.MulticastDelegate.MulticastDelegate a1 -> IO (Bool)
op_Equality arg0 arg1 = NET.invokeStatic "System.MulticastDelegate" "op_Equality"  (arg0, arg1)

op_Inequality :: NET.System.MulticastDelegate.MulticastDelegate a0 -> NET.System.MulticastDelegate.MulticastDelegate a1 -> IO (Bool)
op_Inequality arg0 arg1 = NET.invokeStatic "System.MulticastDelegate" "op_Inequality"  (arg0, arg1)

getHashCode :: MulticastDelegate obj -> IO (Data.Int.Int32)
getHashCode obj = NET.invoke "GetHashCode"  ()  obj


