{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.Text.Encoding where

import NET
import qualified NET.System.Array
import qualified Data.Word
--import qualified NET.System.Text.EncoderFallback
--import qualified NET.System.Text.DecoderFallback
--import qualified NET.System.Text.EncodingInfo
import qualified NET.System.Object
--import qualified NET.System.Char*
--import qualified NET.System.Byte*
--import qualified NET.System.Text.NormalizationForm
--import qualified NET.System.Text.Decoder
--import qualified NET.System.Text.Encoder

data Encoding_ a
type Encoding a = NET.System.Object.Object (Encoding_ a)

convert :: NET.System.Text.Encoding.Encoding a0 -> NET.System.Text.Encoding.Encoding a1 -> NET.System.Array.Array (Data.Word.Word8) -> IO (NET.System.Array.Array (Data.Word.Word8))
convert arg0 arg1 arg2 = invokeStatic "System.Text.Encoding" "Convert" (arg0, arg1, arg2)

convert_1 :: NET.System.Text.Encoding.Encoding a0 -> NET.System.Text.Encoding.Encoding a1 -> NET.System.Array.Array (Data.Word.Word8) -> Int -> Int -> IO (NET.System.Array.Array (Data.Word.Word8))
convert_1 arg0 arg1 arg2 arg3 arg4 = invokeStatic "System.Text.Encoding" "Convert" (arg0, arg1, arg2, arg3, arg4)

getEncoding :: Int -> IO (NET.System.Text.Encoding.Encoding a1)
getEncoding arg0 = invokeStatic "System.Text.Encoding" "GetEncoding" (arg0)

--getEncoding_1 :: Int -> NET.System.Text.EncoderFallback.EncoderFallback a1 -> NET.System.Text.DecoderFallback.DecoderFallback a2 -> IO (NET.System.Text.Encoding.Encoding a3)
--getEncoding_1 arg0 arg1 arg2 = invokeStatic "System.Text.Encoding" "GetEncoding" (arg0, arg1, arg2)

getEncoding_2 :: String -> IO (NET.System.Text.Encoding.Encoding a1)
getEncoding_2 arg0 = invokeStatic "System.Text.Encoding" "GetEncoding" (arg0)

--getEncoding_3 :: String -> NET.System.Text.EncoderFallback.EncoderFallback a1 -> NET.System.Text.DecoderFallback.DecoderFallback a2 -> IO (NET.System.Text.Encoding.Encoding a3)
--getEncoding_3 arg0 arg1 arg2 = invokeStatic "System.Text.Encoding" "GetEncoding" (arg0, arg1, arg2)

--getEncodings :: IO (NET.System.Array.Array (NET.System.Text.EncodingInfo.EncodingInfo a0))
--getEncodings = invokeStatic "System.Text.Encoding" "GetEncodings" () 

getPreamble :: Encoding obj -> IO (NET.System.Array.Array (Data.Word.Word8))
getPreamble = invoke "GetPreamble" () 

get_BodyName :: Encoding obj -> IO (String)
get_BodyName = invoke "get_BodyName" () 

get_EncodingName :: Encoding obj -> IO (String)
get_EncodingName = invoke "get_EncodingName" () 

get_HeaderName :: Encoding obj -> IO (String)
get_HeaderName = invoke "get_HeaderName" () 

get_WebName :: Encoding obj -> IO (String)
get_WebName = invoke "get_WebName" () 

get_WindowsCodePage :: Encoding obj -> IO (Int)
get_WindowsCodePage = invoke "get_WindowsCodePage" () 

get_IsBrowserDisplay :: Encoding obj -> IO (Bool)
get_IsBrowserDisplay = invoke "get_IsBrowserDisplay" () 

get_IsBrowserSave :: Encoding obj -> IO (Bool)
get_IsBrowserSave = invoke "get_IsBrowserSave" () 

get_IsMailNewsDisplay :: Encoding obj -> IO (Bool)
get_IsMailNewsDisplay = invoke "get_IsMailNewsDisplay" () 

get_IsMailNewsSave :: Encoding obj -> IO (Bool)
get_IsMailNewsSave = invoke "get_IsMailNewsSave" () 

get_IsSingleByte :: Encoding obj -> IO (Bool)
get_IsSingleByte = invoke "get_IsSingleByte" () 

--get_EncoderFallback :: Encoding obj -> IO (NET.System.Text.EncoderFallback.EncoderFallback a0)
--get_EncoderFallback = invoke "get_EncoderFallback" () 

--set_EncoderFallback :: NET.System.Text.EncoderFallback.EncoderFallback a0 -> Encoding obj -> IO (())
--set_EncoderFallback arg0 = invoke "set_EncoderFallback" (arg0)

--get_DecoderFallback :: Encoding obj -> IO (NET.System.Text.DecoderFallback.DecoderFallback a0)
--get_DecoderFallback = invoke "get_DecoderFallback" () 

--set_DecoderFallback :: NET.System.Text.DecoderFallback.DecoderFallback a0 -> Encoding obj -> IO (())
--set_DecoderFallback arg0 = invoke "set_DecoderFallback" (arg0)

clone :: Encoding obj -> IO (NET.System.Object.Object a0)
clone = invoke "Clone" () 

get_IsReadOnly :: Encoding obj -> IO (Bool)
get_IsReadOnly = invoke "get_IsReadOnly" () 

get_ASCII :: IO (NET.System.Text.Encoding.Encoding a0)
get_ASCII = invokeStatic "System.Text.Encoding" "get_ASCII" () 

getByteCount :: NET.System.Array.Array (Char) -> Encoding obj -> IO (Int)
getByteCount arg0 = invoke "GetByteCount" (arg0)

getByteCount_1 :: String -> Encoding obj -> IO (Int)
getByteCount_1 arg0 = invoke "GetByteCount" (arg0)

getByteCount_2 :: NET.System.Array.Array (Char) -> Int -> Int -> Encoding obj -> IO (Int)
getByteCount_2 arg0 arg1 arg2 = invoke "GetByteCount" (arg0, arg1, arg2)

--getByteCount_3 :: NET.System.Char*.Char* a0 -> Int -> Encoding obj -> IO (Int)
--getByteCount_3 arg0 arg1 = invoke "GetByteCount" (arg0, arg1)

getBytes :: NET.System.Array.Array (Char) -> Encoding obj -> IO (NET.System.Array.Array (Data.Word.Word8))
getBytes arg0 = invoke "GetBytes" (arg0)

getBytes_1 :: NET.System.Array.Array (Char) -> Int -> Int -> Encoding obj -> IO (NET.System.Array.Array (Data.Word.Word8))
getBytes_1 arg0 arg1 arg2 = invoke "GetBytes" (arg0, arg1, arg2)

getBytes_2 :: NET.System.Array.Array (Char) -> Int -> Int -> NET.System.Array.Array (Data.Word.Word8) -> Int -> Encoding obj -> IO (Int)
getBytes_2 arg0 arg1 arg2 arg3 arg4 = invoke "GetBytes" (arg0, arg1, arg2, arg3, arg4)

getBytes_3 :: String -> Encoding obj -> IO (NET.System.Array.Array (Data.Word.Word8))
getBytes_3 arg0 = invoke "GetBytes" (arg0)

getBytes_4 :: String -> Int -> Int -> NET.System.Array.Array (Data.Word.Word8) -> Int -> Encoding obj -> IO (Int)
getBytes_4 arg0 arg1 arg2 arg3 arg4 = invoke "GetBytes" (arg0, arg1, arg2, arg3, arg4)

--getBytes_5 :: NET.System.Char*.Char* a0 -> Int -> NET.System.Byte*.Byte* a2 -> Int -> Encoding obj -> IO (Int)
--getBytes_5 arg0 arg1 arg2 arg3 = invoke "GetBytes" (arg0, arg1, arg2, arg3)

getCharCount :: NET.System.Array.Array (Data.Word.Word8) -> Encoding obj -> IO (Int)
getCharCount arg0 = invoke "GetCharCount" (arg0)

getCharCount_1 :: NET.System.Array.Array (Data.Word.Word8) -> Int -> Int -> Encoding obj -> IO (Int)
getCharCount_1 arg0 arg1 arg2 = invoke "GetCharCount" (arg0, arg1, arg2)

--getCharCount_2 :: NET.System.Byte*.Byte* a0 -> Int -> Encoding obj -> IO (Int)
--getCharCount_2 arg0 arg1 = invoke "GetCharCount" (arg0, arg1)

getChars :: NET.System.Array.Array (Data.Word.Word8) -> Encoding obj -> IO (NET.System.Array.Array (Char))
getChars arg0 = invoke "GetChars" (arg0)

getChars_1 :: NET.System.Array.Array (Data.Word.Word8) -> Int -> Int -> Encoding obj -> IO (NET.System.Array.Array (Char))
getChars_1 arg0 arg1 arg2 = invoke "GetChars" (arg0, arg1, arg2)

getChars_2 :: NET.System.Array.Array (Data.Word.Word8) -> Int -> Int -> NET.System.Array.Array (Char) -> Int -> Encoding obj -> IO (Int)
getChars_2 arg0 arg1 arg2 arg3 arg4 = invoke "GetChars" (arg0, arg1, arg2, arg3, arg4)

--getChars_3 :: NET.System.Byte*.Byte* a0 -> Int -> NET.System.Char*.Char* a2 -> Int -> Encoding obj -> IO (Int)
--getChars_3 arg0 arg1 arg2 arg3 = invoke "GetChars" (arg0, arg1, arg2, arg3)

get_CodePage :: Encoding obj -> IO (Int)
get_CodePage = invoke "get_CodePage" () 

isAlwaysNormalized :: Encoding obj -> IO (Bool)
isAlwaysNormalized = invoke "IsAlwaysNormalized" () 

--isAlwaysNormalized_1 :: NET.System.Text.NormalizationForm.NormalizationForm a0 -> Encoding obj -> IO (Bool)
--isAlwaysNormalized_1 arg0 = invoke "IsAlwaysNormalized" (arg0)

--getDecoder :: Encoding obj -> IO (NET.System.Text.Decoder.Decoder a0)
--getDecoder = invoke "GetDecoder" () 

get_Default :: IO (NET.System.Text.Encoding.Encoding a0)
get_Default = invokeStatic "System.Text.Encoding" "get_Default" () 

--getEncoder :: Encoding obj -> IO (NET.System.Text.Encoder.Encoder a0)
--getEncoder = invoke "GetEncoder" () 

getMaxByteCount :: Int -> Encoding obj -> IO (Int)
getMaxByteCount arg0 = invoke "GetMaxByteCount" (arg0)

getMaxCharCount :: Int -> Encoding obj -> IO (Int)
getMaxCharCount arg0 = invoke "GetMaxCharCount" (arg0)

getString :: NET.System.Array.Array (Data.Word.Word8) -> Encoding obj -> IO (String)
getString arg0 = invoke "GetString" (arg0)

getString_1 :: NET.System.Array.Array (Data.Word.Word8) -> Int -> Int -> Encoding obj -> IO (String)
getString_1 arg0 arg1 arg2 = invoke "GetString" (arg0, arg1, arg2)

get_Unicode :: IO (NET.System.Text.Encoding.Encoding a0)
get_Unicode = invokeStatic "System.Text.Encoding" "get_Unicode" () 

get_BigEndianUnicode :: IO (NET.System.Text.Encoding.Encoding a0)
get_BigEndianUnicode = invokeStatic "System.Text.Encoding" "get_BigEndianUnicode" () 

get_UTF7 :: IO (NET.System.Text.Encoding.Encoding a0)
get_UTF7 = invokeStatic "System.Text.Encoding" "get_UTF7" () 

get_UTF8 :: IO (NET.System.Text.Encoding.Encoding a0)
get_UTF8 = invokeStatic "System.Text.Encoding" "get_UTF8" () 

get_UTF32 :: IO (NET.System.Text.Encoding.Encoding a0)
get_UTF32 = invokeStatic "System.Text.Encoding" "get_UTF32" () 

equals :: NET.System.Object.Object a0 -> Encoding obj -> IO (Bool)
equals arg0 = invoke "Equals" (arg0)

getHashCode :: Encoding obj -> IO (Int)
getHashCode = invoke "GetHashCode" () 


