{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.UriPartial.Type ( module NET.System.UriPartial.Type ) where

import qualified NET
import qualified NET.System.Type.Type as NET.System.Type
import qualified NET.System.Enum.Type as NET.System.Enum
import qualified NET.System.IComparable.Type as NET.System.IComparable
import qualified NET.System.IFormattable.Type as NET.System.IFormattable
import qualified NET.System.IConvertible.Type as NET.System.IConvertible

instance NET.System.IComparable.IComparable (UriPartialTy) where
  instanceName_IComparable _ = "NET.System.UriPartial.UriPartial"

instance NET.System.IFormattable.IFormattable (UriPartialTy) where
  instanceName_IFormattable _ = "NET.System.UriPartial.UriPartial"

instance NET.System.IConvertible.IConvertible (UriPartialTy) where
  instanceName_IConvertible _ = "NET.System.UriPartial.UriPartial"

type UriPartial a = Int
data UriPartialTy
 = Scheme
 | Authority
 | Path
 | Query
  deriving ( Enum, Show, Read )
toUriPartial :: UriPartialTy -> UriPartial ()
toUriPartial tag = fromEnum tag

fromUriPartial :: UriPartial () -> UriPartialTy
fromUriPartial obj = toEnum obj

