{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.Collections.Generic.ICollection ( module NET.System.Collections.Generic.ICollection ) where

import qualified NET
import NET.System.Collections.Generic.ICollection.Type as NET.System.Collections.Generic.ICollection
import qualified Data.Int
import qualified NET.System.Array
import qualified NET.System.Object

get_Count :: (NET.Type gT, ICollection obj) => NET.Object (objTy obj  gT) -> IO (Data.Int.Int32)
get_Count obj = NET.invokeGeneric "get_Count" ( NET.tyNameCons ( {-D-}NET.t22 $ NET.t11 obj) $  [])  ()  obj

get_IsReadOnly :: (NET.Type gT, ICollection obj) => NET.Object (objTy obj  gT) -> IO (Bool)
get_IsReadOnly obj = NET.invokeGeneric "get_IsReadOnly" ( NET.tyNameCons ( {-D-}NET.t22 $ NET.t11 obj) $  [])  ()  obj

add :: (NET.Type gT, NET.Arg gT, ICollection obj) => gT -> NET.Object (objTy obj  gT) -> IO (())
add arg0 obj = NET.invokeGeneric "Add" ( NET.tyNameCons ( {-D-}NET.t22 $ NET.t11 obj) $  [])  (arg0) obj

clear :: (NET.Type gT, ICollection obj) => NET.Object (objTy obj  gT) -> IO (())
clear obj = NET.invokeGeneric "Clear" ( NET.tyNameCons ( {-D-}NET.t22 $ NET.t11 obj) $  [])  ()  obj

contains :: (NET.Type gT, NET.Arg gT, ICollection obj) => gT -> NET.Object (objTy obj  gT) -> IO (Bool)
contains arg0 obj = NET.invokeGeneric "Contains" ( NET.tyNameCons ( {-D-}NET.t22 $ NET.t11 obj) $  [])  (arg0) obj

copyTo :: (NET.Type gT, NET.Arg gT, ICollection obj) => NET.System.Array.Array (gT) -> Data.Int.Int32 -> NET.Object (objTy obj  gT) -> IO (())
copyTo arg0 arg1 obj = NET.invokeGeneric "CopyTo" ( NET.tyNameCons ( {-D-}NET.t22 $ NET.t11 obj) $  [])  (arg0, arg1) obj

remove :: (NET.Type gT, NET.Arg gT, ICollection obj) => gT -> NET.Object (objTy obj  gT) -> IO (Bool)
remove arg0 obj = NET.invokeGeneric "Remove" ( NET.tyNameCons ( {-D-}NET.t22 $ NET.t11 obj) $  [])  (arg0) obj


