{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.Globalization.SortKey where

import NET
import qualified NET.System.Array
import qualified Data.Word
import qualified NET.System.Object

data SortKey_ a
type SortKey a = NET.System.Object.Object (SortKey_ a)

get_OriginalString :: SortKey obj -> IO (String)
get_OriginalString = invoke "get_OriginalString" () 

get_KeyData :: SortKey obj -> IO (NET.System.Array.Array (Data.Word.Word8))
get_KeyData = invoke "get_KeyData" () 

compare :: NET.System.Globalization.SortKey.SortKey a0 -> NET.System.Globalization.SortKey.SortKey a1 -> IO (Int)
compare arg0 arg1 = invokeStatic "System.Globalization.SortKey" "Compare" (arg0, arg1)

equals :: NET.System.Object.Object a0 -> SortKey obj -> IO (Bool)
equals arg0 = invoke "Equals" (arg0)

getHashCode :: SortKey obj -> IO (Int)
getHashCode = invoke "GetHashCode" () 

toString :: SortKey obj -> IO (String)
toString = invoke "ToString" () 


