{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.Globalization.TextInfo where

import NET
import qualified NET.System.Object

data TextInfo_ a
type TextInfo a = NET.System.Object.Object (TextInfo_ a)

get_ANSICodePage :: TextInfo obj -> IO (Int)
get_ANSICodePage = invoke "get_ANSICodePage" () 

get_OEMCodePage :: TextInfo obj -> IO (Int)
get_OEMCodePage = invoke "get_OEMCodePage" () 

get_MacCodePage :: TextInfo obj -> IO (Int)
get_MacCodePage = invoke "get_MacCodePage" () 

get_EBCDICCodePage :: TextInfo obj -> IO (Int)
get_EBCDICCodePage = invoke "get_EBCDICCodePage" () 

get_LCID :: TextInfo obj -> IO (Int)
get_LCID = invoke "get_LCID" () 

get_CultureName :: TextInfo obj -> IO (String)
get_CultureName = invoke "get_CultureName" () 

get_IsReadOnly :: TextInfo obj -> IO (Bool)
get_IsReadOnly = invoke "get_IsReadOnly" () 

clone :: TextInfo obj -> IO (NET.System.Object.Object a0)
clone = invoke "Clone" () 

readOnly :: NET.System.Globalization.TextInfo.TextInfo a0 -> IO (NET.System.Globalization.TextInfo.TextInfo a1)
readOnly arg0 = invokeStatic "System.Globalization.TextInfo" "ReadOnly" (arg0)

get_ListSeparator :: TextInfo obj -> IO (String)
get_ListSeparator = invoke "get_ListSeparator" () 

set_ListSeparator :: String -> TextInfo obj -> IO (())
set_ListSeparator arg0 = invoke "set_ListSeparator" (arg0)

toLower :: Char -> TextInfo obj -> IO (Char)
toLower arg0 = invoke "ToLower" (arg0)

toLower_1 :: String -> TextInfo obj -> IO (String)
toLower_1 arg0 = invoke "ToLower" (arg0)

toUpper :: Char -> TextInfo obj -> IO (Char)
toUpper arg0 = invoke "ToUpper" (arg0)

toUpper_1 :: String -> TextInfo obj -> IO (String)
toUpper_1 arg0 = invoke "ToUpper" (arg0)

equals :: NET.System.Object.Object a0 -> TextInfo obj -> IO (Bool)
equals arg0 = invoke "Equals" (arg0)

getHashCode :: TextInfo obj -> IO (Int)
getHashCode = invoke "GetHashCode" () 

toString :: TextInfo obj -> IO (String)
toString = invoke "ToString" () 

toTitleCase :: String -> TextInfo obj -> IO (String)
toTitleCase arg0 = invoke "ToTitleCase" (arg0)

get_IsRightToLeft :: TextInfo obj -> IO (Bool)
get_IsRightToLeft = invoke "get_IsRightToLeft" () 


