{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.Nullable ( module NET.System.Nullable ) where

import qualified NET
import NET.System.Nullable.Type as NET.System.Nullable
import qualified NET.System.ValueType.Type as NET.System.ValueType
import qualified Data.Int
import qualified NET.System.Nullable.Type as NET.System.Nullable

get_HasValue :: (NET.Type gT) => Nullable obj  gT -> IO (Bool)
get_HasValue obj = NET.invokeGeneric "get_HasValue" ( NET.tyNameCons ( NET.t22 $ NET.t11 obj) $  [])  ()  obj

getValueOrDefault :: (NET.Type gT, NET.Result gT) => Nullable obj  gT -> IO ((NET.System.ValueType.ValueType gT))
getValueOrDefault obj = NET.invokeGeneric "GetValueOrDefault" ( NET.tyNameCons ( NET.t22 $ NET.t11 obj) $  [])  ()  obj

getValueOrDefault_1 :: (NET.Type gT, NET.Arg gT, NET.Result gT) => (NET.System.ValueType.ValueType gT) -> Nullable obj  gT -> IO ((NET.System.ValueType.ValueType gT))
getValueOrDefault_1 arg0 obj = NET.invokeGeneric "GetValueOrDefault" ( NET.tyNameCons ( NET.t22 $ NET.t11 obj) $  [])  (arg0) obj

equals :: (NET.Type gT) => NET.Object (objTy0 a0) -> Nullable obj  gT -> IO (Bool)
equals arg0 obj = NET.invokeGeneric "Equals" ( NET.tyNameCons ( NET.t22 $ NET.t11 obj) $  [])  (arg0) obj

getHashCode :: (NET.Type gT) => Nullable obj  gT -> IO (Data.Int.Int32)
getHashCode obj = NET.invokeGeneric "GetHashCode" ( NET.tyNameCons ( NET.t22 $ NET.t11 obj) $  [])  ()  obj

toString :: (NET.Type gT) => Nullable obj  gT -> IO (String)
toString obj = NET.invokeGeneric "ToString" ( NET.tyNameCons ( NET.t22 $ NET.t11 obj) $  [])  ()  obj

op_Implicit :: (NET.Type gT, NET.Arg gT) => (NET.System.ValueType.ValueType gT) -> IO (NET.System.Nullable.Nullable a1 (NET.System.ValueType.ValueType gT))
op_Implicit arg0 = let res = NET.invokeGenericStatic "System.Nullable`1[T]" "op_Implicit" ( NET.tyMethSplit $  NET.tyNameCons ( NET.t22 $ NET.t11  $ NET.t11 res) $  [])  (arg0) in res

op_Explicit :: (NET.Type gT, NET.Result gT) => NET.System.Nullable.Nullable a0 (NET.System.ValueType.ValueType gT) -> IO ((NET.System.ValueType.ValueType gT))
op_Explicit arg0 = NET.invokeGenericStatic "System.Nullable`1[T]" "op_Explicit" ( [])  (arg0)

get_Value :: (NET.Type gT, NET.Result gT) => Nullable obj  gT -> IO ((NET.System.ValueType.ValueType gT))
get_Value obj = NET.invokeGeneric "get_Value" ( NET.tyNameCons ( NET.t22 $ NET.t11 obj) $  [])  ()  obj


