{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.UriFormat.Type ( module NET.System.UriFormat.Type ) where

import qualified NET
import qualified NET.System.Type.Type as NET.System.Type
import qualified NET.System.Enum.Type as NET.System.Enum
import qualified NET.System.IComparable.Type as NET.System.IComparable
import qualified NET.System.IFormattable.Type as NET.System.IFormattable
import qualified NET.System.IConvertible.Type as NET.System.IConvertible

instance NET.System.IComparable.IComparable (UriFormatTy) where
  instanceName_IComparable _ = "NET.System.UriFormat.UriFormat"

instance NET.System.IFormattable.IFormattable (UriFormatTy) where
  instanceName_IFormattable _ = "NET.System.UriFormat.UriFormat"

instance NET.System.IConvertible.IConvertible (UriFormatTy) where
  instanceName_IConvertible _ = "NET.System.UriFormat.UriFormat"

type UriFormat a = Int
data UriFormatTy
 = UriEscaped
 | Unescaped
 | SafeUnescaped
  deriving ( Enum, Show, Read )
toUriFormat :: UriFormatTy -> UriFormat ()
toUriFormat tag = fromEnum tag

fromUriFormat :: UriFormat () -> UriFormatTy
fromUriFormat obj = toEnum obj

